Subject: [PATCH 0/2] Bonding: fix IPv6 module requirement regression

From: Brian Haley <[email-masked]>
Date: Tue, 03 Mar 2009 21:37:10 -0500

These patches fix the Bonding module's requirement to have the IPv6
module loaded and configured by creating a new "disable" module parameter
value for ipv6.ko.  This allows users who do not want any IPv6 addresses
or sockets to be created to disable IPv6 support, while still loading
the module and making it's symbols available.  This can be specified in
/etc/modprobe.conf (or similar) with "options ipv6 disable=1".

I've verified that Bonding, SCTP, Sunrpc and DCCP will still load, however
dccp_ipv6 will not load when disable=1 - I believe this is ok as
IPv6 won't work anyways.

  Documentation/networking/ipv6.txt |   35 +++++++++++++++++++++++++++++++++++
  net/ipv6/af_inet6.c               |   22 ++++++++++++++++------
  net/sctp/protocol.c               |   11 ++++++++---
  3 files changed, 59 insertions(+), 9 deletions(-)